<?php
/**
 * Added saya Page. */

/**
 * Add a new page under Appearance
 */
function saya_menu()
{
	add_theme_page(__('Saya Options', 'saya'), __('Saya Options', 'saya'), 'edit_theme_options', 'saya-theme', 'saya_page');
}
add_action('admin_menu', 'saya_menu');

/**
 * Enqueue styles for the help page.
 */
function saya_admin_scripts($hook)
{
	if ('appearance_page_saya-theme' !== $hook) {
		return;
	}
	wp_enqueue_style('saya-admin-style', get_template_directory_uri() . '/candidthemes/about/about.css', array(), '');
}
add_action('admin_enqueue_scripts', 'saya_admin_scripts');

/**
 * Add the theme page
 */
function saya_page()
{
?>
<div class="das-wrap">
  <div class="saya-panel header">
    <div class="saya-logo">
      <img class="ts-logo"
        src="<?php echo esc_url(get_template_directory_uri() . '/candidthemes/about/images/saya-logo.png'); ?>"
        alt="Logo">
    </div>
    <p>
      <?php esc_html_e('A perfect theme for blog and magazine site. With masonry layout and multiple blog page layout, this theme is the awesome and minimal theme.', 'saya'); ?>
    </p>
    <a class="btn btn-primary" href="<?php echo esc_url(admin_url('/customize.php?'));
?>"><?php esc_html_e('Theme Options - Click Here', 'saya'); ?></a>
  </div>

  <div class="das-wrap-inner">
    <div class="das-col das-col-7">
      <div class="saya-panel">
        <div class="saya-panel-content">
          <div class="theme-title">
            <h3><?php esc_html_e('Looking for theme Documentation?', 'saya'); ?></h3>
          </div>
          <a href="https://docs.candidthemes.com/saya/" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Documentation - Click Here', 'saya'); ?></a>
        </div>
      </div>
      <div class="saya-panel">
        <div class="saya-panel-content">
          <div class="theme-title">
            <h3><?php esc_html_e('If you like the theme, please leave a review', 'saya'); ?></h3>
          </div>
          <a href="https://wordpress.org/support/theme/saya/reviews/?filter=5" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Rate this theme', 'saya'); ?></a>
        </div>
      </div>
      <div class="saya-panel">
        <div class="saya-panel-content">
          <div class="theme-title">
            <h3><?php esc_html_e('View all Demos', 'saya'); ?></h3>
          </div>
          <a href="https://demo.candidthemes.com/saya/" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Default Demo', 'saya'); ?></a>
          <a href="https://demo.candidthemes.com/saya-pro/" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Saya Pro', 'saya'); ?></a>
          <a href="https://demo.candidthemes.com/saya-grid/" target="_blank"
            class="btn btn-secondary"><?php esc_html_e('Saya Grid', 'saya'); ?></a>
        </div>
      </div>
    </div>
    <div class="das-col das-col-3">
      <div class="upgrade-div">
        <p>
          <strong>
            Pro Features Include:
          </strong>
          </h4>
        <ul>
          <li>
            Author Information including social icons and descriptions.
          </li>
          <li>
            Write your own powered by text with link in HTML formats.
          </li>
          <li>
            Change search placeholder text easily and write your own text.
          </li>
          <li>
            Make your menu sticky on the top for better user experience.
          </li>
        </ul>
        <div class="text-center">
          <a href="https://www.candidthemes.com/themes/saya/" target="_blank"
            class="btn btn-success"><?php esc_html_e('Upgrade Pro $49', 'saya'); ?></a>
        </div>
      </div>
      <div class="saya-panel">
        <div class="theme-title">
          <h3><?php esc_html_e('Important Links', 'saya'); ?></h3>
        </div>
        <div>
          <ul>
            <li>
              <a href="https://www.candidthemes.com/themes/saya/">Theme page</a>
            </li>
            <li>
              <a href="https://www.candidthemes.com/support-tickets/">Support</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="saya-panel">
        <div class="theme-title">
          <h3><?php esc_html_e('Other Popular Theme', 'saya'); ?></h3>
        </div>
        <a href="https://www.candidthemes.com/themes/fairy/" target="_blank"
          class="btn btn-success"><?php esc_html_e('Fairy', 'saya'); ?></a>
      </div>
    </div>
  </div>



</div>
<?php
}