<?php
/**
 *  Saya Blog Page Option
 *
 * @since Saya 1.0.0
 *
 */
/*Blog Page Options*/
$wp_customize->add_section( 'saya_blog_page_section', array(
   'priority'       => 35,
   'capability'     => 'edit_theme_options',
   'theme_supports' => '',
   'title'          => __( 'Blog Section Options', 'saya' ),
   'panel' 		 => 'saya_panel',
) );

/*Blog Page Layout Masonry*/
$wp_customize->add_setting( 'saya_options[saya-blog-page-masonry-normal]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-blog-page-masonry-normal'],
    'sanitize_callback' => 'saya_sanitize_select'
) );
$wp_customize->add_control( 'saya_options[saya-blog-page-masonry-normal]', array(
   'choices' => array(
    'normal'    => __('Normal Layout','saya'),
    'masonry'   => __('Masonry Layout','saya'),
    'full-image'   => __('Full Image Layout','saya'),
),
   'label'     => __( 'Masonry or Normal Layout', 'saya' ),
   'description' => __('Some image layout option will not work in masonry.', 'saya'),
   'section'   => 'saya_blog_page_section',
   'settings'  => 'saya_options[saya-blog-page-masonry-normal]',
   'type'      => 'select',
   'priority'  => 10,
) );

/*Blog Page Show content from*/
$wp_customize->add_setting( 'saya_options[saya-content-show-from]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-content-show-from'],
    'sanitize_callback' => 'saya_sanitize_select'
) );
$wp_customize->add_control( 'saya_options[saya-content-show-from]', array(
   'choices' => array(
    'excerpt'    => __('Excerpt','saya'),
    'content'    => __('Content','saya'),
    'hide'    => __('Hide Content','saya'),
),
   'label'     => __( 'Select Content Display Option', 'saya' ),
   'description' => __('You can enable excerpt from Screen Options inside post section of dashboard', 'saya'),
   'section'   => 'saya_blog_page_section',
   'settings'  => 'saya_options[saya-content-show-from]',
   'type'      => 'select',
   'priority'  => 10,
) );

/*Blog image size*/
$wp_customize->add_setting( 'saya_options[saya-image-size-blog-page]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-image-size-blog-page'],
    'sanitize_callback' => 'saya_sanitize_select'
) );
$wp_customize->add_control( 'saya_options[saya-image-size-blog-page]', array(
   'choices' => array(
    'cropped-image'    => __('Cropped Image','saya'),
    'original-image'   => __('Original Image','saya'),
),
   'label'     => __( 'Size of the image, either cropped or original', 'saya' ),
   'description' => __('The image will be either cropped or original size based on the image. Recommended image size is 800*600 px.', 'saya'),
   'section'   => 'saya_blog_page_section',
   'settings'  => 'saya_options[saya-image-size-blog-page]',
   'type'      => 'select',
   'priority'  => 10,
) );

/*Blog Page excerpt length*/
$wp_customize->add_setting( 'saya_options[saya-excerpt-length]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-excerpt-length'],
    'sanitize_callback' => 'absint'
) );
$wp_customize->add_control( 'saya_options[saya-excerpt-length]', array(
    'label'     => __( 'Size of Excerpt Content', 'saya' ),
    'description' => __('Enter the number per Words to show the content in blog page.', 'saya'),
    'section'   => 'saya_blog_page_section',
    'settings'  => 'saya_options[saya-excerpt-length]',
    'type'      => 'number',
    'priority'  => 10,
) );
/*Blog Page Pagination Options*/
$wp_customize->add_setting( 'saya_options[saya-pagination-options]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-pagination-options'],
    'sanitize_callback' => 'saya_sanitize_select'
) );
$wp_customize->add_control( 'saya_options[saya-pagination-options]', array(
   'choices' => array(
    'default'    => __('Default','saya'),
    'numeric'    => __('Numeric','saya'),
),
   'label'     => __( 'Pagination Types', 'saya' ),
   'description' => __('Select the Required Pagination Type', 'saya'),
   'section'   => 'saya_blog_page_section',
   'settings'  => 'saya_options[saya-pagination-options]',
   'type'      => 'select',
   'priority'  => 10,
) );
/*Blog Page read more text*/
$wp_customize->add_setting( 'saya_options[saya-read-more-text]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-read-more-text'],
    'sanitize_callback' => 'sanitize_text_field'
) );
$wp_customize->add_control( 'saya_options[saya-read-more-text]', array(
    'label'     => __( 'Enter Read More Text', 'saya' ),
    'description' => __('Read more text for blog and archive page.', 'saya'),
    'section'   => 'saya_blog_page_section',
    'settings'  => 'saya_options[saya-read-more-text]',
    'type'      => 'text',
    'priority'  => 10,
) );