<?php
/**
 *  Saya Boxed Option
 *
 * @since Saya 1.0.0
 *
 */
/* Header Types Options*/
$wp_customize->add_section( 'saya_category_boxes_section', array(
    'priority'       => 25,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Category Boxes Options', 'saya' ),
    'panel' 		 => 'saya_panel',
) );
/*Enable Boxes*/
$wp_customize->add_setting( 'saya_options[saya-enable-category-boxes]', array(
 'capability'        => 'edit_theme_options',
 'transport' => 'refresh',
 'default'           => $default['saya-enable-category-boxes'],
 'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-enable-category-boxes]', array(
 'label'     => __( 'Enable Category Boxes Section', 'saya' ),
 'description' => __('Checked to show category boxes section in Home Page.', 'saya'),
 'section'   => 'saya_category_boxes_section',
 'settings'  => 'saya_options[saya-enable-category-boxes]',
 'type'      => 'checkbox',
 'priority'  => 10,
) );

/*callback functions header section*/
if ( !function_exists('saya_category_enable_boxes_callback') ) :
  function saya_category_enable_boxes_callback(){
      global $saya_theme_options;
      $saya_theme_options = saya_get_options_value();
      $enable_box = absint($saya_theme_options['saya-enable-category-boxes']);
      if( true == $enable_box ){
          return true;
      }
      else{
          return false;
      }
  }
endif;

/*Boxes Category*/
$wp_customize->add_setting( 'saya_options[saya-single-cat-posts-select-1]', array(
  'capability'        => 'edit_theme_options',
  'transport' => 'refresh',
  'default'           => $default['saya-single-cat-posts-select-1'],
  'sanitize_callback' => 'absint'
) );
$wp_customize->add_control(
  new Saya_Customize_Category_Dropdown_Control(
    $wp_customize,
    'saya_options[saya-single-cat-posts-select-1]',
    array(
      'label'     => __( 'Select Category', 'saya' ),
      'description' => __('Three Posts from the same category will appear.', 'saya'),
      'section'   => 'saya_category_boxes_section',
      'settings'  => 'saya_options[saya-single-cat-posts-select-1]',
      'type'      => 'category_dropdown',
      'priority'  => 10,
      'active_callback'=>'saya_category_enable_boxes_callback'
    )
  )
);