<?php

/**
 * Saya Theme Customizer default values
 *
 * @package Saya
 */
if (!function_exists('saya_default_theme_options_values')) :
    function saya_default_theme_options_values()
    {
        $default_theme_options = array(
            /*Top Header*/
            'saya-make-logo-center' => true,
            'saya-enable-top-header' => true,
            'saya-enable-top-header-social' => true,
            'saya-enable-top-header-menu' => true,
            'saya-enable-top-header-search' => true,
            'saya-top-header-background-color' => '#faf9f7',
            'saya-enable-headr-advertisement' => true,
            'saya-header-ads-image-file' => '',
            'saya-header-ads-image-url' => '#',

            /*Slider Settings Option*/
            'saya-enable-slider' => false,
            'saya-select-category' => 0,
            'saya-image-size-slider' => 'cropped-image',

            /*Category Boxes*/
            'saya-enable-category-boxes' => false,
            'saya-single-cat-posts-select-1' => 0,


            /*Sidebar Options*/
            'saya-sidebar-blog-page' => 'no-sidebar',
            'saya-sidebar-single-page' => 'right-sidebar',
            'saya-enable-sticky-sidebar' => true,


            /*Blog Page Default Value*/
            'saya-column-blog-page' => 'three-column',
            'saya-content-show-from' => 'excerpt',
            'saya-excerpt-length' => 25,
            'saya-pagination-options' => 'numeric',
            'saya-read-more-text' => '',
            'saya-blog-page-masonry-normal' => 'masonry',
            'saya-blog-page-image-position' => 'left-image',
            'saya-image-size-blog-page' => 'original-image',

            /*Blog Layout Overlay*/
            'saya-site-layout-blog-overlay' => 1,

            /*Single Page Default Value*/
            'saya-single-page-featured-image' => true,
            'saya-single-page-tags' => false,
            'saya-enable-underline-link' => true,
            'saya-single-page-related-posts' => true,
            'saya-single-page-related-posts-title' => esc_html__('Related Posts', 'saya'),


            /*Breadcrumb Settings*/
            'saya-blog-site-breadcrumb' => true,
            'saya-breadcrumb-display-from-option' => 'theme-default',
            'saya-breadcrumb-text' => '',

            /*General Colors*/
            'saya-primary-color' => '#ef751b',
            'saya-header-description-color' => '#404040',

            /*Footer Options*/
            'saya-footer-copyright' => esc_html__('All Rights Reserved 2022.', 'saya'),
            'saya-go-to-top' => true,
            'saya-go-to-top-icon' => esc_html__('fa-long-arrow-up', 'saya'),
            'saya-go-to-top-icon-5' => esc_html__('fa-long-arrow-alt-up', 'saya'),
            'saya-footer-social-icons' => true,
            'saya-footer-mailchimp-subscribe' => false,
            'saya-footer-mailchimp-form-id' => '',
            'saya-footer-mailchimp-form-title' =>  esc_html__('Subscribe to my Newsletter', 'saya'),
            'saya-footer-mailchimp-form-subtitle' => esc_html__('Be the first to receive the latest buzz on upcoming contests & more!', 'saya'),

            /*Font Options*/
            'saya-font-family-url' => 'Montserrat:wght@400;700',
            'saya-font-heading-family-url' => 'Oswald:wght@300;400;700',

            /*Extra Options*/
            'saya-post-published-updated-date' => 'post-published',
            'saya-font-awesome-version-loading' => 'version-5',

        );
        return apply_filters('saya_default_theme_options_values', $default_theme_options);
    }
endif;

/**
 *  Saya Theme Options and Settings
 *
 * @since Saya 1.0.0
 *
 * @param null
 * @return array saya_get_options_value
 *
 */
if (!function_exists('saya_get_options_value')) :
    function saya_get_options_value()
    {
        $saya_default_theme_options_values = saya_default_theme_options_values();
        $saya_get_options_value = get_theme_mod('saya_options');
        if (is_array($saya_get_options_value)) {
            return array_merge($saya_default_theme_options_values, $saya_get_options_value);
        } else {
            return $saya_default_theme_options_values;
        }
    }
endif;
