<?php
/**
 *  Saya Advertisement Option
 *
 * @since Saya 1.0.0
 *
 */
/*Top Advertisement Options*/
$wp_customize->add_section( 'saya_advertisement_section', array(
    'priority'       => 5,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Header Advertisement Options', 'saya' ),
    'panel' 		 => 'saya_panel',
 ) );
/*Upload Header Advertisement Image*/
$wp_customize->add_setting( 'saya_options[saya-enable-headr-advertisement]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-enable-headr-advertisement'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
 ) );
 $wp_customize->add_control( 'saya_options[saya-enable-headr-advertisement]', array(
    'label'     => __( 'Enable Header Advertisement Section', 'saya' ),
    'description' => __('You can add header advertisement image here. Recommended size is 728*90. More options are in pro version.', 'saya'),
    'section'   => 'saya_advertisement_section',
    'settings'  => 'saya_options[saya-enable-headr-advertisement]',
    'type'      => 'checkbox',
    'priority'  => 5,
 ) );

 /*callback functions header section*/
if ( !function_exists('saya_header_ads_callback') ) :
    function saya_header_ads_callback(){
        global $saya_theme_options;
        $saya_theme_options = saya_get_options_value();
        $enable_ads = absint($saya_theme_options['saya-enable-headr-advertisement']);
        if( true == $enable_ads ){
            return true;
        }
        else{
            return false;
        }
    }
  endif;

 /*Header Ads Image*/
$wp_customize->add_setting(
    'saya_options[saya-header-ads-image-file]',
    array(
        'capability'        => 'edit_theme_options',
        'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'saya_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
    $wp_customize,
    'saya_options[saya-header-ads-image-file]',
    array(
        'label'       => __('Upload Header Advertisement Image', 'saya'),
        'description' => __('You  add the banner image for header ads here. More options available in Saya Pro', 'saya'),
        'section'     => 'saya_advertisement_section',
        'type'        => 'image',
        'active_callback'=> 'saya_header_ads_callback',
    )
 )
);
 /*Header Ads Image URL*/
 $wp_customize->add_setting(
    'saya_options[saya-header-ads-image-url]',
    array(
        'capability'        => 'edit_theme_options',
        'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
    $wp_customize,
    'saya_options[saya-header-ads-image-url]',
    array(
        'label'       => __('Enter the valid URL here.', 'saya'),
        'description' => __('Your URL will open in a new tab. More options are available in premium version.', 'saya'),
        'section'     => 'saya_advertisement_section',
        'type'        => 'url',
        'active_callback'=> 'saya_header_ads_callback',
    )
 )
);