<?php
/**
 *  Saya Single Page Option
 *
 * @since Saya 1.0.0
 *
 */
/*Single Page Options*/
$wp_customize->add_section( 'saya_single_page_section', array(
   'priority'       => 40,
   'capability'     => 'edit_theme_options',
   'theme_supports' => '',
   'title'          => __( 'Single Post Options', 'saya' ),
   'panel' 		 => 'saya_panel',
) );


/*Featured Image Option*/
$wp_customize->add_setting( 'saya_options[saya-single-page-featured-image]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-single-page-featured-image'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-single-page-featured-image]', array(
    'label'     => __( 'Enable Featured Image', 'saya' ),
    'description' => __('You can hide or show featured image on single page.', 'saya'),
    'section'   => 'saya_single_page_section',
    'settings'  => 'saya_options[saya-single-page-featured-image]',
    'type'      => 'checkbox',
    'priority'  => 15,
) );

/*Hide Tags in Single Page*/
$wp_customize->add_setting( 'saya_options[saya-single-page-tags]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-single-page-tags'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-single-page-tags]', array(
    'label'     => __( 'Enable Posts Tags', 'saya' ),
    'description' => __('You can enable the post tags in single page.', 'saya'),
    'section'   => 'saya_single_page_section',
    'settings'  => 'saya_options[saya-single-page-tags]',
    'type'      => 'checkbox',
    'priority'  => 15,
) );
/*Enable Underline in single post link place */
$wp_customize->add_setting( 'saya_options[saya-enable-underline-link]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-enable-underline-link'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-enable-underline-link]', array(
    'label'     => __( 'Enable Underline on Link', 'saya' ),
    'description' => __('If you enabled this, you will see the underline in the links. You can change it color from the general section of colors.', 'saya'),
    'section'   => 'saya_single_page_section',
    'settings'  => 'saya_options[saya-enable-underline-link]',
    'type'      => 'checkbox',
    'priority'  => 20,
) );

/*Related Post Options*/
$wp_customize->add_setting( 'saya_options[saya-single-page-related-posts]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-single-page-related-posts'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-single-page-related-posts]', array(
    'label'     => __( 'Enable Related Posts', 'saya' ),
    'description' => __('2 Post from similar category will display at the end of the page.', 'saya'),
    'section'   => 'saya_single_page_section',
    'settings'  => 'saya_options[saya-single-page-related-posts]',
    'type'      => 'checkbox',
    'priority'  => 20,
) );
/*callback functions related posts*/
if ( !function_exists('saya_related_post_callback') ) :
    function saya_related_post_callback(){
        global $saya_theme_options;
        $saya_theme_options = saya_get_options_value();
        $related_posts = absint($saya_theme_options['saya-single-page-related-posts']);
        if( true == $related_posts ){
            return true;
        }
        else{
            return false;
        }
    }
endif;
/*Related Post Title*/
$wp_customize->add_setting( 'saya_options[saya-single-page-related-posts-title]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-single-page-related-posts-title'],
    'sanitize_callback' => 'sanitize_text_field'
) );
$wp_customize->add_control( 'saya_options[saya-single-page-related-posts-title]', array(
    'label'     => __( 'Related Posts Title', 'saya' ),
    'description' => __('Give the appropriate title for related posts', 'saya'),
    'section'   => 'saya_single_page_section',
    'settings'  => 'saya_options[saya-single-page-related-posts-title]',
    'type'      => 'text',
    'priority'  => 20,
    'active_callback'=>'saya_related_post_callback'
) );