<?php
/**
 *  Saya Top Header Option
 *
 * @since Saya 1.0.0
 *
 */
/*Top Header Options*/
$wp_customize->add_section( 'saya_header_section', array(
   'priority'       => 5,
   'capability'     => 'edit_theme_options',
   'theme_supports' => '',
   'title'          => __( 'Top Header Options', 'saya' ),
   'panel' 		 => 'saya_panel',
) );
/*callback functions header section*/
if ( !function_exists('saya_header_active_callback') ) :
  function saya_header_active_callback(){
      global $saya_theme_options;
      $saya_theme_options = saya_get_options_value();
      $enable_header = absint($saya_theme_options['saya-enable-top-header']);
      if( true == $enable_header ){
          return true;
      }
      else{
          return false;
      }
  }
endif;
/*Enable Top Header Section*/
$wp_customize->add_setting( 'saya_options[saya-enable-top-header]', array(
   'capability'        => 'edit_theme_options',
   'transport' => 'refresh',
   'default'           => $default['saya-enable-top-header'],
   'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-enable-top-header]', array(
   'label'     => __( 'Enable Top Header', 'saya' ),
   'description' => __('Checked to show the top header section like search and social icons', 'saya'),
   'section'   => 'saya_header_section',
   'settings'  => 'saya_options[saya-enable-top-header]',
   'type'      => 'checkbox',
   'priority'  => 5,
) );

/*Enable Menu in top Header*/
$wp_customize->add_setting( 'saya_options[saya-enable-top-header-menu]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-enable-top-header-menu'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-enable-top-header-menu]', array(
    'label'     => __( 'Menu in Header', 'saya' ),
    'description' => __('Top Header Menu will display here. Go to Appearance < Menu.', 'saya'),
    'section'   => 'saya_header_section',
    'settings'  => 'saya_options[saya-enable-top-header-menu]',
    'type'      => 'checkbox',
    'priority'  => 5,
    'active_callback'=>'saya_header_active_callback'
) );

/* Site Title hover color */
$wp_customize->add_setting( 'saya_options[saya-top-header-background-color]',
    array(
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'transport' => 'refresh',
        'default'           => $default['saya-top-header-background-color'],
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'saya_options[saya-top-header-background-color]',
        array(
            'label'       => esc_html__( 'Top Header Background Color', 'saya' ),
            'description' => esc_html__( 'It will change the color of site top header. More Color options are in Saya Pro', 'saya' ),
            'section'     => 'saya_header_section',
             'settings'  => 'saya_options[saya-top-header-background-color]',
             'active_callback'=>'saya_header_active_callback'
        )
    )
);

/*Make Logo Center*/
$wp_customize->add_setting( 'saya_options[saya-make-logo-center]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-make-logo-center'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
 ) );
 $wp_customize->add_control( 'saya_options[saya-make-logo-center]', array(
    'label'     => __( 'Make logo center', 'saya' ),
    'description' => __('Checked to show the top header section like search and social icons', 'saya'),
    'section'   => 'title_tagline',
    'settings'  => 'saya_options[saya-make-logo-center]',
    'type'      => 'checkbox',
    'priority'  => 25,
 ) );

 /*Enable Social Icons In Header*/
$wp_customize->add_setting( 'saya_options[saya-enable-top-header-social]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-enable-top-header-social'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
 ) );
 $wp_customize->add_control( 'saya_options[saya-enable-top-header-social]', array(
    'label'     => __( 'Enable Social Icons', 'saya' ),
    'description' => __('You can show the social icons here. Manage social icons from Appearance > Menus. Social Menu will display here.', 'saya'),
    'section'   => 'saya_header_section',
    'settings'  => 'saya_options[saya-enable-top-header-social]',
    'type'      => 'checkbox',
    'priority'  => 5,
    'active_callback'=>'saya_header_active_callback'
 ) );

/*Enable Search in menu section*/
$wp_customize->add_setting( 'saya_options[saya-enable-top-header-search]', array(
    'capability'        => 'edit_theme_options',
    'transport' => 'refresh',
    'default'           => $default['saya-enable-top-header-search'],
    'sanitize_callback' => 'saya_sanitize_checkbox'
) );
$wp_customize->add_control( 'saya_options[saya-enable-top-header-search]', array(
    'label'     => __( 'Search in Menu', 'saya' ),
    'description' => __('Enable Search icon in Menu Part', 'saya'),
    'section'   => 'saya_header_section',
    'settings'  => 'saya_options[saya-enable-top-header-search]',
    'type'      => 'checkbox',
    'priority'  => 5,
    'active_callback'=>'saya_header_active_callback'
) );